Name:           scamp
Version:        2.0.4
Release:        10%{?dist}
Summary:        compute astrometric and photometric solutions from sextractor catalogs

License:        GPLv3+
URL:            http://www.astromatic.net/software/scamp
Source0:        http://www.astromatic.net/download/%{name}/%{name}-%{version}.tar.gz


BuildRequires:  gcc
BuildRequires:  atlas-devel
BuildRequires:  cdsclient
BuildRequires:  fftw-devel
BuildRequires:  pkgconfig
BuildRequires:  plplot-devel

Requires:       cdsclient

%description
SCAMP is a program that computes astrometric and photometric solutions from
SExtractor catalogs

%prep
%setup -q
# New atlas libs
sed -i -e '/LIBS*=.*atlas/s,=.*,="-L%{_libdir}/atlas -lsatlas",' configure
%if 0%{fedora} >= 23
# New plplot lib name
sed -i -e 's/plplotd/plplot/g' configure
%endif


%build
%configure
make %{?_smp_mflags}


%install
%make_install


%files
%if 0%{?fedora} >= 21
%license COPYRIGHT LICENSE
%else
%doc COPYRIGHT LICENSE
%endif
%doc AUTHORS ChangeLog HISTORY README THANKS doc/scamp.pdf
%{_bindir}/scamp
%{_datadir}/scamp/
%{_mandir}/*/scamp.*.gz


%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.4-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.4-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu Jun 22 2017 Tom Callaway <spot@fedoraproject.org> - 2.0.4-6
- rebuild for plplot 5.12.0

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Apr 23 2015 Orion Poplawski <orion@cora.nwra.com> - 2.0.4-2
- Rebuild for plplot 5.11.0, fix name in configure

* Mon Jan 12 2015 Christian Dersch <lupinix@fedoraproject.org> - 2.0.4-1
- initial spec
